Name:         calamaris
Version:      2.99.4.0
Release:      3%{?dist}
Vendor:       Cord Beermann
Packager:     Franta Hanzlik
Group:        Logfile
License:      GPL
Summary:      Squid Logfile Statistics Tool and Report Generator
URL:          http://cord.de/tools/squid/calamaris/
Requires:     squid perl(NetAddr::IP) perl(GD::Graph) perl(GD::Graph3d)

#   list of source(s)
Source0:      http://cord.de/tools/squid/calamaris/calamaris-%{version}.tar.gz
Patch0:       calamaris-lib+dep.patch

#   build information
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Calamaris parses the Squid Native Log and generates reports
about Peak-usage, Request-Methods, Status-reports of incoming
and outgoing requests, second and Top-level destinations,
content-types and performance.

%prep

%setup -q
%patch0 -p0

%build
    #   no-op

%install
mkdir -p -m 755 $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_libdir}/%{name}-%{version},%{_docdir}/%{name}-%{version},%{_sysconfdir}/%{name}}
install -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}
install -m 644 %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1

# Convert everything to UTF-8
iconv -f iso-8859-1 -t utf-8 -o CHANGES.utf8 CHANGES
touch -r CHANGES CHANGES.utf8; mv -f CHANGES.utf8 CHANGES
iconv -f iso-8859-1 -t utf-8 -o EXAMPLES.utf8 EXAMPLES
touch -r EXAMPLES EXAMPLES.utf8; mv -f EXAMPLES.utf8 EXAMPLES
install -p -m 644 -D calamaris.conf ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}/calamaris.conf
install -p -m 644 -t ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version} BUGS CHANGES COPYRIGHT EXAMPLES EXAMPLES.v3 INSTALL README TODO
install -p -m 755 -t ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version} calamaris-cache-convert
install -p -m 755 -t ${RPM_BUILD_ROOT}%{_libdir}/%{name}-%{version} calAxestype.pm calAxestype3d.pm calBars3d.pm

%clean
    rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{name}/calamaris.conf
%doc BUGS CHANGES* COPYRIGHT EXAMPLES* INSTALL README TODO
%doc calamaris-cache-convert

%{_bindir}/%{name}
%doc %{_mandir}/man1/%{name}.1*
%{_libdir}/%{name}-%{version}/*.pm

%changelog
* Sun May 09 2010 Franta Hanzlik <franta@hanzlici.cz> 2.99.4.0
- some little spec file modification

* Wed Aug 06 2008 Franta Hanzlik <franta@hanzlici.cz> 2.99.4.0
- initial build
